0 Пользователей и 1 Гость просматривают эту тему.
  • 6 Ответов
  • 1303 Просмотров
*

_AD_

  • Новичок
  • 4
  • 0 / 0
Приветствую всех.

Ребята, может кто сталкивался с проблемой. Стоит Joomla 1.5.18 RE и для регистрации используется CommunityBuilder 1.2.1. Под PHP 5.2 все работало хорошо, но понадобилось обновить ОС на хостинге и получился PHP 5.3.3. Вывод ошибок deprecated и т.д. выключил, но вот есть один warning, который возникает только при работе компонента CB. Выглядит это так:
Код
Warning: call_user_func_array() expects parameter 2 to be array, string given in путь_до_сайта/administrator/components/com_comprofiler/plugin.foundation.php on line 1523
Понятно, что после исправления одной ошибки (конкретно этой), вылазит 3 другие, уже более серьезные...
Причем, регистрация работает, авторизация тоже, а вот работа в админке с пользователями уже не пашет, профиль пользователя с фронта тоже кривой получается (стили разъезжаются).
Обновлять Joomla будет тяжеловато (много доработок ядра), да и не понятно, уйдет ли проблема.
Кто-нибудь знает, как решить?
*

voland

  • Легенда
  • 10347
  • 555 / 108
  • Эта строка съедает место на вашем мониторе
Re: Ошибка при обновлении PHP до 5.3.3
« Ответ #1 : 05.11.2012, 20:53:34 »
Обновлять Joomla будет тяжеловато (много доработок ядра), да и не понятно, уйдет ли проблема.
А зачем так было разрабатывать?
Есть же плагины, переопределения итп..

Теперь самый простой вариант - жить на версии 5.2
*

_AD_

  • Новичок
  • 4
  • 0 / 0
Re: Ошибка при обновлении PHP до 5.3.3
« Ответ #2 : 05.11.2012, 21:27:02 »
А зачем так было разрабатывать?
Есть же плагины, переопределения итп..

Теперь самый простой вариант - жить на версии 5.2
Так я потому и спрашиваю, поможет ли обновление Joomla. Если однозначно поможет, то обновлюсь, нет нерешаемых проблем. Тем более, что не все компоненты и модули обновляются при апгрейде с 18 до 26 версии. Просто не хочется зря время тратить.
*

voland

  • Легенда
  • 10347
  • 555 / 108
  • Эта строка съедает место на вашем мониторе
Re: Ошибка при обновлении PHP до 5.3.3
« Ответ #3 : 05.11.2012, 21:37:10 »
Сам двиг подерживает 5.3 с версии 1.5.14 насколько помню.
А вот сторонние компоненты - это к их разработчикам вопрос, хотя многие сейчас отказываются от поддержки 5.2 и требуют 5.3 или даже 5.3.7 как минимум.
*

_AD_

  • Новичок
  • 4
  • 0 / 0
Re: Ошибка при обновлении PHP до 5.3.3
« Ответ #4 : 05.11.2012, 21:51:26 »
Намек понял. Попробую обновить CB до версии 1.8.1, а там буду по ситуации смотреть.
*

hooten

  • Захожу иногда
  • 443
  • 26 / 0
Re: Ошибка при обновлении PHP до 5.3.3
« Ответ #5 : 06.11.2012, 00:56:19 »
Цитировать
Так я потому и спрашиваю, поможет ли обновление Joomla.
бекап, обновление, откат
*

_AD_

  • Новичок
  • 4
  • 0 / 0
Re: Ошибка при обновлении PHP до 5.3.3
« Ответ #6 : 06.11.2012, 13:37:45 »
Вопрос решен - обновил CB с 1.2.1 до 1.8.1, проблема пропала совсем, все работает как раньше на php5.2.
Спасибо всем кто принял участие в теме.
Чтобы оставить сообщение,
Вам необходимо Войти или Зарегистрироваться
 

Ошибка в компоненте CKForms

Автор Vas80

Ответов: 9
Просмотров: 224
Последний ответ 22.04.2019, 13:34:48
от sivers
Ошибка #1050 при переносе базы данных на хостинг

Автор Ksen

Ответов: 6
Просмотров: 13445
Последний ответ 30.03.2019, 12:02:52
от nontad
Ошибка Fatal error: Allowed memory size of 73400320 bytes exhausted

Автор Andre109

Ответов: 1
Просмотров: 791
Последний ответ 03.12.2018, 01:29:56
от voland
Ошибка при загрузке модулей:MySQL server has gone away

Автор svskach

Ответов: 13
Просмотров: 3805
Последний ответ 31.01.2018, 10:56:15
от Evrokub
При обновлении до Mobile-Joomla.2.1.21, пропали картинки

Автор Elimelech

Ответов: 0
Просмотров: 993
Последний ответ 15.08.2017, 13:21:31
от Elimelech